> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer project template by id



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/develop/v1/customer-project-templates/{id}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/develop/v1/customer-project-templates/{id}:
    get:
      tags:
        - Project templates
      summary: Get customer project template by id
      operationId: getCustomerProjectTemplate
      parameters:
        - description: The id of the project template to return.
          in: path
          name: id
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
        - description: >-
            If the template is archived and this parameter is set to true, the
            template will be returned instead of a 404.
          in: query
          name: includeArchived
          required: false
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerTemplate'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    CustomerTemplate:
      allOf:
        - $ref: '#/components/schemas/ProjectTemplate'
        - properties:
            definition:
              $ref: '#/components/schemas/ProjectTemplateDefinition'
            isArchived:
              type: boolean
            isCompanyOfficial:
              type: boolean
            sourceProject:
              $ref: '#/components/schemas/ProjectTemplateSourceProject'
          required:
            - sourceProject
            - definition
            - isArchived
            - isCompanyOfficial
          type: object
    ProjectTemplate:
      properties:
        access:
          $ref: '#/components/schemas/ProjectTemplateAccess'
        base64Logo:
          type: string
        categories:
          items:
            type: string
          type: array
        created:
          format: date-time
          type: string
        description:
          type: string
        id:
          type: string
        isCompanyOfficial:
          description: Whether or not this template is marked as official
          type: boolean
        license:
          type: string
        name:
          type: string
        owner:
          $ref: '#/components/schemas/ProjectTemplateOwner'
        recommended:
          type: boolean
        revisionId:
          type: string
        taxonomyTags:
          description: Taxonomy tags associated with this template.
          items:
            $ref: '#/components/schemas/TaxonomyTag'
          type: array
        templateType:
          enum:
            - customer
            - ecosystem
          type: string
        updated:
          format: date-time
          type: string
      required:
        - templateType
        - id
        - name
        - created
        - updated
        - categories
        - owner
        - access
      type: object
    ProjectTemplateDefinition:
      properties:
        backingProject:
          $ref: '#/components/schemas/ProjectTemplateBackingProject'
        projectType:
          enum:
            - git_based
            - dfs
          type: string
        settings:
          $ref: '#/components/schemas/ProjectSettings'
      required:
        - backingProject
        - projectType
        - settings
      type: object
    ProjectTemplateSourceProject:
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
        included:
          items:
            $ref: '#/components/schemas/ProjectTemplateSourceProjectComponent'
          type: array
        name:
          type: string
        owner:
          $ref: '#/components/schemas/ProjectOwner'
      required:
        - id
        - included
        - name
        - owner
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    ProjectTemplateAccess:
      properties:
        collaborators:
          items:
            $ref: '#/components/schemas/ProjectTemplateCollaborator'
          type: array
        visibility:
          enum:
            - private
            - all_non_anonymous_users
          type: string
      required:
        - visibility
        - collaborators
      type: object
    ProjectTemplateOwner:
      properties:
        link:
          type: string
        name:
          type: string
      required:
        - name
      type: object
    TaxonomyTag:
      properties:
        description:
          type: string
        fullPath:
          description: >-
            Ancestor labels from root to direct parent. Empty for root-level
            tags.
          items:
            type: string
          type: array
        id:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        namespaceLabel:
          type: string
      required:
        - id
        - label
        - namespaceId
      type: object
    ProjectTemplateBackingProject:
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
        name:
          type: string
        owner:
          $ref: '#/components/schemas/ProjectOwner'
      required:
        - id
        - name
        - owner
      type: object
    ProjectSettings:
      properties:
        computeClusterEnvironmentRevision:
          $ref: '#/components/schemas/EnvironmentRevision'
        defaultEnvironmentRevision:
          $ref: '#/components/schemas/EnvironmentRevision'
        defaultHardwareTier:
          $ref: '#/components/schemas/HardwareTier'
      required:
        - defaultEnvironmentRevision
        - defaultHardwareTier
      type: object
    ProjectTemplateSourceProjectComponent:
      enum:
        - Artifacts
        - Integrations
        - ExternalDataVolumes
        - Launchers
        - ImportedProjects
        - Tags
        - NetAppVolumes
        - Datasets
        - MountedDatasets
        - Code
        - ImportedRepositories
        - Goals
        - Apps
        - DataSources
      type: string
    ProjectOwner:
      properties:
        username:
          type: string
      required:
        - username
      type: object
    ProjectTemplateCollaborator:
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
        role:
          enum:
            - template_user
          type: string
      required:
        - id
        - role
      type: object
    EnvironmentRevision:
      properties:
        environment:
          $ref: '#/components/schemas/Environment'
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
      required:
        - id
        - environment
      type: object
    HardwareTier:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    Environment:
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
        name:
          type: string
      required:
        - id
        - name
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Delete a customer project template by id.](/6.3/api-reference/project-templates/delete-a-customer-project-template-by-id.md)
- [Update a customer project template](/6.3/api-reference/project-templates/update-a-customer-project-template.md)
- [Get evidence template by ID](/6.3/api-reference/governance-evidence-and-results/get-evidence-template-by-id.md)
- [Get evidence template definition YAML by ID](/6.3/api-reference/governance-evidence-and-results/get-evidence-template-definition-yaml-by-id.md)
